# Uses of Class
org.eclipse.e4.ui.model.application.ui.impl.UiPackageImpl

Packages that use UiPackageImpl
Package
Description
org.eclipse.e4.ui.model.application.ui.impl
org.eclipse.e4.ui.model.application.ui.util

## Uses of UiPackageImpl in org.eclipse.e4.ui.model.application.ui.impl

Fields in org.eclipse.e4.ui.model.application.ui.impl declared as UiPackageImpl
Modifier and Type
Field
Description
`static final UiPackageImpl`
UiPackageImpl.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.e4.ui.model.application.ui.impl that return UiPackageImpl
Modifier and Type
Method
Description
`UiPackageImpl`
UiFactoryImpl.`getUiPackage()`
`static UiPackageImpl`
UiPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of UiPackageImpl in org.eclipse.e4.ui.model.application.ui.util

Fields in org.eclipse.e4.ui.model.application.ui.util declared as UiPackageImpl
Modifier and Type
Field
Description
`protected static UiPackageImpl`
UiAdapterFactory.`modelPackage`
The cached model package.
`protected static UiPackageImpl`
UiSwitch.`modelPackage`
The cached model package